---
title: "asin"
excerpt: "Computes the arcsine of a number (in radians)."
layout: manual
---

Computes the arcsine of a number (in radians).



```js
asin(num: number) -> number
```

### Tags

* `math`

### Examples

```js
const sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> angledLine({
       angle: toDegrees(asin(0.5)),
       length: 20
     }, %)
  |> yLineTo(0, %)
  |> close(%)

const extrude001 = extrude(5, sketch001)
```

![Rendered example of asin 0](data:image/png;base64,[encoded data, 167784 characters])

### Arguments

* `num`: `number` (REQUIRED)

### Returns

`number`



